Skip to main content
POST
Create a task for a company

Authorizations

The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.

Path Parameters

id
string<uuid>
required

The company's record id.

Body

application/json
workspaceId
string<uuid>
required
title
string
required
Maximum string length: 500
description
string
Maximum string length: 10000
status
enum<string>

Defaults to not_started on create.

Available options:
not_started,
in_progress,
completed,
on_hold,
blocked,
cancelled
priority
enum<string>
Available options:
low,
medium,
high,
urgent
dueDate
string

Due date as an ISO date or date-time.

assignedTo
string

Assignee user id. Several assignees are sent as comma-separated ids.

reviewerId
string<uuid>
tags
string[]
Maximum array length: 20

Response

The new task.

task
object